/*  ----------------------------------------------------------------------

    Copyright (C) 2001  Tom Vandenhove  (tom.vandenhove@ubizen.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    ---------------------------------------------------------------------- */

#include "nomadJB_data.h"

static int albumpresent(struct albumlist *albums, struct album *album);
static void checklist(struct artist **p_pointer, char *name, 
		      struct album *album, SONG *song);
void add_song_to_list(struct songlist **songlist, SONG *song);
void add_song_to_end_of_list(struct songlist **root, SONG *song);
struct albumlist *add_song_to_albums(struct albumlist **root,SONG *song);
void sort_all(void);
void add_song(SONG *song);
void create_indexes(struct songlist *songs_root, 
		    struct albumlist **albums_root, 
		    struct artist **artists_root,
		    struct genre **genres_root);
void read_lists(void);
void restore_lists(void);
void save_lists(void);
void print_songs(struct songlist *songs);
int album_compare(void const *a, void  const *b);
void sort_albums(struct albumlist **root);
int artist_compare(void const *a, void  const *b);
sort_artists(struct artist **root);
