/*  ----------------------------------------------------------------------

    Copyright (C) 2000  Gabriel Gomiz  (gomita@bblanca.com.ar)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    ---------------------------------------------------------------------- */
/*
#define NOMADII_SEND_COMMAND			0x1
#define NOMADII_RECV_COMMAND			0x2
#define NOMADII_RESET_PIPES                     0x3

#define NOMADII_DIR_OUT               	        0x0
#define NOMADII_DIR_IN				0x1

struct NomadII_cmd {
	short length;
	int request;
	int requesttype;
	int value;
	int index;
	void *buffer;
	int timeout;
};

typedef unsigned char BYTE;
typedef unsigned short WORD;
typedef unsigned long DWORD;
typedef char string[256];
typedef int boolean;
*/

/*
 *  Low level commands
 */

int nomad_read_command(int req, int val, int idx, int len, BYTE *buffer);
int nomad_write_command(int req, int val, int idx, int len, BYTE *buffer);
int nomad_read(BYTE *buffer, int count);
int nomad_write(BYTE *buffer, int count);
int nomad_send_command(int req, int val, int idx);
int nomad_ctl_msg(int dir, int req, int val, int idx, int len, BYTE *d);
int nomad_reset_pipes();

/*
 * Auxiliary functions
 */

void set_file_name(char *src, char *dst); 
void set_file_ext(char *src, char *dst);

